com.microfocus.awm.control.toolexecution.internal

## Class ModeledToolOutputParameter

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.ModeledToolOutputParameter

- All Implemented Interfaces:
    IDynamicObject, IModeledToolOutputParameter, IToolParameter
  Direct Known Subclasses:
    ModeledFileOutputParameter, ModeledPropertyOutputParameter

      public abstract class ModeledToolOutputParameter
      extends java.lang.Object
      implements IModeledToolOutputParameter

  Base implementation of `IModeledToolOutputParameter`.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeledToolOutputParameter(RToolOutParameter pModeledOutputParameter)` Creates a modeled output parameter instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RToolOutParameter` | `getModelObject()` Gets the model object.
    `boolean` | `isMassProcessingParameter()` Whether the tool descriptor parameter was modeled mass processing parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolParameter

      `getTargetID`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### ModeledToolOutputParameter

          public ModeledToolOutputParameter(RToolOutParameter pModeledOutputParameter)

      Creates a modeled output parameter instance.
      Parameters:
        `pModeledOutputParameter` - the original model parameter

  - ### Method Detail

    - #### isMassProcessingParameter

          public boolean isMassProcessingParameter()

      Description copied from interface: `IToolParameter`
      Whether the tool descriptor parameter was modeled mass processing parameter.
      Specified by:
        `isMassProcessingParameter` in interface `IToolParameter`
      Returns:
        the `Mass Processing` value of the modeled tool descriptor parameter

    - #### getModelObject

          public RToolOutParameter getModelObject()

      Description copied from interface: `IDynamicObject`
      Gets the model object.
      Specified by:
        `getModelObject` in interface `IDynamicObject`
      Specified by:
        `getModelObject` in interface `IModeledToolOutputParameter`
      Specified by:
        `getModelObject` in interface `IToolParameter`
      Returns:
        the model object

Copyright © 2015 Micro Focus GmbH. All rights reserved.